Loading...
Searching...
No Matches
pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 > Class Reference
Module visualization

Surface normal handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = PointCloudGeometryHandler<pcl::PCLPointCloud2>::PointCloud
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr<PointCloudGeometryHandlerSurfaceNormal<PointCloud> >
using | ConstPtr = shared_ptr<const PointCloudGeometryHandlerSurfaceNormal<PointCloud> >
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr<PointCloudGeometryHandler<PointCloud> >
using | ConstPtr = shared_ptr<const PointCloudGeometryHandler<PointCloud> >

## Public Member Functions

| PointCloudGeometryHandlerSurfaceNormal (const PointCloudConstPtr &cloud)
| Constructor.
virtual std::string | getName () const
| Class getName method.
virtual std::string | getFieldName () const
| Get the name of the field used.
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format.
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud, const Eigen::Vector4f &=Eigen::Vector4f::Zero())
| Constructor.
virtual | ~PointCloudGeometryHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
index_t | field_x_idx_
| The index of the field holding the X data.
index_t | field_y_idx_
| The index of the field holding the Y data.
index_t | field_z_idx_
| The index of the field holding the Z data.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

Surface normal handler class for PointCloud geometry.

Given an input dataset, all data present in fields "normal_x", "normal_y", and "normal_z" is extracted and displayed on screen as XYZ data.

Author
  Radu B. Rusu

Definition at line 431 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudGeometryHandlerSurfaceNormal<PointCloud> >

Definition at line 439 of file point_cloud_geometry_handlers.h.

## PointCloud

using pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloud = PointCloudGeometryHandler<pcl::PCLPointCloud2>::PointCloud

Definition at line 434 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 436 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 435 of file point_cloud_geometry_handlers.h.

## Ptr

using pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudGeometryHandlerSurfaceNormal<PointCloud> >

Definition at line 438 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerSurfaceNormal()

pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloudGeometryHandlerSurfaceNormal | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

## Member Function Documentation

## getFieldName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 450 of file point_cloud_geometry_handlers.h.

## getGeometry()

void pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Reimplemented from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 210 of file point_cloud_geometry_handlers.hpp.

## getName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 446 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_geometry_handlers.h
- pcl/visualization/impl/point_cloud_geometry_handlers.hpp